part of masamune_ads.mobile;

/// Display banner ads.
class AdsBanner extends StatelessWidget {
  /// Display banner ads.
  AdsBanner({
    required this.unitId,
    this.bannerSize = AdsSize.banner,
  }) : _bannerAd = BannerAd(
          adUnitId: unitId,
          size: AdSize(width: bannerSize.width, height: bannerSize.height),
          request: const AdRequest(),
          listener: const BannerAdListener(),
        );

  final BannerAd _bannerAd;

  /// Admob advertising ID.
  final String unitId;

  /// Admob banner size.
  final AdsSize bannerSize;

  /// Run build.
  ///
  /// [context]: Build Context.
  @override
  Widget build(BuildContext context) {
    return AdWidget(ad: _bannerAd);
  }
}
